com.tibbo.aggregate.common.action

## Class EntityRelatedActions

- java.lang.Object
- - com.tibbo.aggregate.common.action.EntityRelatedActions

-     public class EntityRelatedActions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TableFormat` | `EXECUTION_FORMAT`
    `static java.lang.String` | `FIELD_CONTEXT`
    `static java.lang.String` | `FIELD_ENTITY`
    `static java.lang.String` | `FIELD_FIELD`
    `static java.lang.String` | `FIELD_RECORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityRelatedActions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Context` | `allowedContextOrNull(java.lang.String entity, int entityType, java.lang.String allowedEntities, Context con)`
    `static Context` | `getTargetContext(EntityRelatedActionDescriptor ad, Context context, java.lang.String entity, int entityType, CallerController caller)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_CONTEXT

          public static final java.lang.String FIELD_CONTEXT

      See Also:
        Constant Field Values

    - #### FIELD_ENTITY

          public static final java.lang.String FIELD_ENTITY

      See Also:
        Constant Field Values

    - #### FIELD_RECORD

          public static final java.lang.String FIELD_RECORD

      See Also:
        Constant Field Values

    - #### FIELD_FIELD

          public static final java.lang.String FIELD_FIELD

      See Also:
        Constant Field Values

    - #### EXECUTION_FORMAT

          public static TableFormat EXECUTION_FORMAT

  - ### Constructor Detail

    - #### EntityRelatedActions

          public EntityRelatedActions()

  - ### Method Detail

    - #### getTargetContext

          public static Context getTargetContext(EntityRelatedActionDescriptor ad,
                                                 Context context,
                                                 java.lang.String entity,
                                                 int entityType,
                                                 CallerController caller)

    - #### allowedContextOrNull

          protected static Context allowedContextOrNull(java.lang.String entity,
                                                        int entityType,
                                                        java.lang.String allowedEntities,
                                                        Context con)